package com.lynx.component.svg;

import X.QNZ;
import com.bytedance.covode.number.Covode;
import com.lynx.tasm.behavior.ui.LynxBaseUI;
import com.lynx.tasm.behavior.ui.LynxUI$$PropsSetter;

public class UISvg$$PropsSetter extends LynxUI$$PropsSetter {
    static {
        Covode.recordClassIndex(46118);
    }

    public void setProperty(LynxBaseUI lynxBaseUI, String str, QNZ qnz) {
        UISvg uISvg = (UISvg) lynxBaseUI;
        str.hashCode();
        if (str.equals("src")) {
            uISvg.setSource(qnz.LIZJ(str));
        } else if (!str.equals("content")) {
            super.setProperty(lynxBaseUI, str, qnz);
        } else {
            uISvg.setContent(qnz.LIZJ(str));
        }
    }
}
